## org.apache.tools.ant.types.optional.image
Class Rectangle

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.optional.image.ImageOperation
                        |
                        +--org.apache.tools.ant.types.optional.image.BasicShape
                              |
                              +--org.apache.tools.ant.types.optional.image.Rectangle

All Implemented Interfaces:
  DrawOperation

public class Rectangle
extends BasicShape
implements DrawOperation

See Also:
  `Image`

Field Summary
`protected int` `archeight`
`protected int` `arcwidth`
`protected int` `height`
`protected int` `width`

Fields inherited from class org.apache.tools.ant.types.optional.image.BasicShape
`fill, stroke, stroke_width`

Fields inherited from class org.apache.tools.ant.types.optional.image.ImageOperation
`instructions`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Rectangle()`

Method Summary
`javax.media.jai.PlanarImage` `executeDrawOperation()` Abstract method which is intended to create an image buffer and return it so it can be drawn into another object.
`void` `setArcheight(int h)`
`void` `setArcwidth(int w)`
`void` `setHeight(int h)`
`void` `setWidth(int w)`

Methods inherited from class org.apache.tools.ant.types.optional.image.BasicShape
`setFill, setStroke, setStrokewidth`

Methods inherited from class org.apache.tools.ant.types.optional.image.ImageOperation
`addDraw, addRectangle, addRotate, addScale, addText`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### width

    protected int width

### height

    protected int height

### arcwidth

    protected int arcwidth

### archeight

    protected int archeight

Constructor Detail

### Rectangle

    public Rectangle()

Method Detail

### setWidth

    public void setWidth(int w)

### setHeight

    public void setHeight(int h)

### setArcwidth

    public void setArcwidth(int w)

### setArcheight

    public void setArcheight(int h)

### executeDrawOperation

    public javax.media.jai.PlanarImage executeDrawOperation()

  Description copied from interface: `DrawOperation`
  Abstract method which is intended to create an image buffer and return it so it can be drawn into another object. Use an Alpha channel for a "transparent" background.

  Specified by:
    `executeDrawOperation` in interface `DrawOperation`

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.